;InnoSetupVersion=2.0.18

[Setup]
AppName=CSE HTML Validator Lite v3.5
AppVerName=CSE HTML Validator Lite v3.50
AppId=CSELITE35
AppPublisher=AI Internet Solutions
AppPublisherURL=http://www.htmlvalidator.com/
AppSupportURL=http://www.htmlvalidator.com/
AppUpdatesURL=http://www.htmlvalidator.com/
DefaultDirName={pf}\HTMLValidatorLite35
DefaultGroupName=CSE HTML Validator Lite v3.5
OutputBaseFilename=cselite35010
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\cselite35.exe"; DestDir: "{app}"; 
Source: "{app}\taginsertercfg.txt"; DestDir: "{app}"; 
Source: "{app}\cssinsertercfg.txt"; DestDir: "{app}"; 
Source: "{app}\userinsertercfg.txt"; DestDir: "{app}"; Flags: uninsneveruninstall 
Source: "{app}\htmlvallite35.cfg"; DestDir: "{app}"; 
Source: "{app}\license.txt"; DestDir: "{app}"; 
Source: "{app}\log.txt"; DestDir: "{app}"; 
Source: "{app}\output.txt"; DestDir: "{app}"; 
Source: "{sys}\csevalidatorliteV35.dll"; DestDir: "{sys}"; 
Source: "{app}\CSE HTML Validator Home Page.url"; DestDir: "{app}"; 
Source: "{app}\Ordering Information.url"; DestDir: "{app}"; 
Source: "{app}\Documentation\about.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\attributegroupseditor.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\attributeseditor.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\attributevalueseditor.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\categorieseditor.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\characterentitieseditor.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\commandlinearguments.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\configuration.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\contents.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\draganddropdefaulttoolselectdialogbox.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\editoreditortab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\editorfileoptionstab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\editorfiletypestab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\editorgeneralinfo.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\editorgeneraltab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\editorhtmltab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\findreplacedialog.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\gettingstarted.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\licenseagreement.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\noteseditor.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\orderinginformation.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\programlimitations.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\programseditor.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\quickref.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\resultswindowlinkstab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\settinguprightclickpopupmenus.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\spellchecking.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\tagnameseditor.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\templatetool.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\tipsforusinghtmlvalidator.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\uninstallinghtmlvalidator.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\usingthetools.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valengineclassictab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valenginegeneraltab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valengineloggingtab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valenginenetworktab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valenginestylestab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valenginetagnameprogramtab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valenginetoolstab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valenginevalidatortab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valserverside.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\warranty.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\webbrowser.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\welcome.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\wizardlinkstab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\wizardmain.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\wizardoptionstab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\wizardreportingtab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\wizardtargetlistformat.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\wizardtargetproperties.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Dictionary\AIISAdd.adm"; DestDir: "{app}\Dictionary"; 
Source: "{app}\Dictionary\American.adm"; DestDir: "{app}\Dictionary"; 
Source: "{app}\Dictionary\FHTMLAdd.adm"; DestDir: "{app}\Dictionary"; 
Source: "{app}\Dictionary\HTMLAdd.adm"; DestDir: "{app}\Dictionary"; 
Source: "{sys}\vcl50.bpl"; DestDir: "{sys}"; Flags: sharedfile 

[Registry]
Root: HKCU; Subkey: "Software\AI Internet Solutions\CSE HTML Validator Lite v2"; ValueName: "InstallDirV35"; ValueType: String; ValueData: "{app}"; 
Root: HKCU; Subkey: "Software\AI Internet Solutions\CSE HTML Validator Lite v2"; ValueName: "EditorEXE"; ValueType: String; ValueData: "cselite35.exe"; 
Root: HKU; Subkey: "Software\AI Internet Solutions\CSE HTML Validator Lite v2"; ValueName: "InstallDirV35"; ValueType: String; ValueData: "{app}"; Flags: noerror 
Root: HKU; Subkey: "Software\AI Internet Solutions\CSE HTML Validator Lite v2"; ValueName: "EditorEXE"; ValueType: String; ValueData: "cselite35.exe"; Flags: noerror 
Root: HKCU; Subkey: "Software\AI Internet Solutions\CSE HTML Validator Lite v2\Validator DLL\General"; ValueName: "DefaultConfigurationFileNameV35"; Flags: deletevalue 
Root: HKCU; Subkey: "Software\AI Internet Solutions\CSE HTML Validator Lite v2\Validator DLL\General"; ValueName: "OutputFileV35"; Flags: deletevalue 
Root: HKCU; Subkey: "Software\AI Internet Solutions\CSE HTML Validator Lite v2\Validator DLL\Logging"; ValueName: "LogFileNameV35"; Flags: deletevalue 
Root: HKCU; Subkey: "Software\AI Internet Solutions\CSE HTML Validator Lite v2\Editor\Options"; ValueName: "CSSInserterConfigFilenameV35"; Flags: deletevalue 
Root: HKCU; Subkey: "Software\AI Internet Solutions\CSE HTML Validator Lite v2\Editor\Options"; ValueName: "TagInserterConfigFilenameV35"; Flags: deletevalue 
Root: HKCU; Subkey: "Software\AI Internet Solutions\CSE HTML Validator Lite v2\Editor\Options"; ValueName: "UserInserterConfigFilenameV35"; Flags: deletevalue 

[Run]
Filename: "{app}\cselite35.exe"; Description: "Launch CSE HTML Validator Lite"; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\cselite30.exe"; Parameters: "-x"; 

[Icons]
Name: "{group}\CSE HTML Validator Lite v3.5"; Filename: "{app}\cselite35.exe"; Comment: "Check HTML for syntax problems and misspellings by using CSE HTML Validator Lite."; 
Name: "{group}\License Agreement"; Filename: "{app}\license.txt"; Comment: "See the license agreement for CSE HTML Validator Lite."; 
Name: "{group}\CSE HTML Validator Home Page"; Filename: "{app}\CSE HTML Validator Home Page.url"; Comment: "Launch your default browser and go to CSE HTML Validator's Home Page"; 
Name: "{group}\Ordering Information"; Filename: "{app}\Ordering Information.url"; Comment: "Launch your default browser and go to CSE HTML Validator's Ordering Page to purchase a license."; 
Name: "{userdesktop}\CSE HTML Validator Lite v3.5"; Filename: "{app}\cselite35.exe"; Comment: "Check HTML for syntax problems and misspellings by using CSE HTML Validator Lite."; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\CSE HTML Validator Lite v3.5"; Filename: "{app}\cselite35.exe"; Comment: "Check HTML for syntax problems and misspellings by using CSE HTML Validator Lite."; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 
